Upstream information

CVE-2022-41724 at MITRE

Description

Large handshake records may cause panics in crypto/tls. Both clients and servers may send large TLS handshake records which cause servers and clients, respectively, to panic when attempting to construct responses. This affects all TLS 1.3 clients, TLS 1.2 clients which explicitly enable session resumption (by setting Config.ClientSessionCache to a non-nil value), and TLS 1.3 servers which request client certificates (by setting Config.ClientAuth >= RequestClientCert).

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.5 7.5
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
Attack Vector Network Network
Attack Complexity Low Low
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact None None
Availability Impact High High
CVSSv3 Version 3.1 3.1

Note from the SUSE Security Team on the go1.* package

SUSE only supports the current and the previous GO language releases.

SUSE Bugzilla entry: 1208271 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Container bci/golang:1.18-20.6
  • go1.18 >= 1.18.10-150000.1.46.1
Container bci/golang:1.20-2.2
  • go1.20 >= 1.20.2-150000.1.5.1
Container bci/golang:oldstable-3.4
  • go1.19 >= 1.19.7-150000.1.23.1
Container suse/ltss/sle15.3/sle15:15.3.3.23
Container suse/ltss/sle15.4/sle15:15.4.2.2
Container suse/sle15:15.1.6.2.748
Container suse/sle15:15.2.9.5.277
Container suse/sle15:15.3.17.20.115
Container suse/sle15:15.4.27.14.42
Container suse/sle15:15.5.36.5.4
  • container-suseconnect >= 2.4.0-150000.4.24.1
SUSE CaaS Platform 4.0
  • container-suseconnect >= 2.4.0-150000.4.24.1
Patchnames:
SUSE-SUSE-CAASP-4.0-2023-871
SUSE Enterprise Storage 7.1
  • container-suseconnect >= 2.4.0-150000.4.24.1
  • go1.18 >= 1.18.10-150000.1.46.1
  • go1.18-doc >= 1.18.10-150000.1.46.1
  • go1.18-openssl >= 1.18.10.1-150000.1.9.1
  • go1.18-openssl-doc >= 1.18.10.1-150000.1.9.1
  • go1.18-openssl-race >= 1.18.10.1-150000.1.9.1
  • go1.18-race >= 1.18.10-150000.1.46.1
  • go1.19 >= 1.19.7-150000.1.23.1
  • go1.19-doc >= 1.19.7-150000.1.23.1
  • go1.19-race >= 1.19.7-150000.1.23.1
Patchnames:
SUSE-Storage-7.1-2023-2312
SUSE-Storage-7.1-2023-733
SUSE-Storage-7.1-2023-869
SUSE-Storage-7.1-2023-871
SUSE Enterprise Storage 7
  • container-suseconnect >= 2.4.0-150000.4.24.1
Patchnames:
SUSE-Storage-7-2023-871
SUSE Liberty Linux 8
  • delve >= 1.9.1-1.module+el8.8.0+16778+5fbb74f5
  • go-toolset >= 1.19.6-1.module+el8.8.0+18289+edd6c8b6
  • golang >= 1.19.6-1.module+el8.8.0+18289+edd6c8b6
  • golang-bin >= 1.19.6-1.module+el8.8.0+18289+edd6c8b6
  • golang-docs >= 1.19.6-1.module+el8.8.0+18289+edd6c8b6
  • golang-misc >= 1.19.6-1.module+el8.8.0+18289+edd6c8b6
  • golang-race >= 1.19.6-1.module+el8.8.0+18289+edd6c8b6
  • golang-src >= 1.19.6-1.module+el8.8.0+18289+edd6c8b6
  • golang-tests >= 1.19.6-1.module+el8.8.0+18289+edd6c8b6
Patchnames:
RHSA-2023:3083
SUSE Liberty Linux 9
  • buildah >= 1.31.3-1.el9
  • buildah-tests >= 1.31.3-1.el9
  • containernetworking-plugins >= 1.3.0-4.el9
  • podman >= 4.6.1-5.el9
  • podman-docker >= 4.6.1-5.el9
  • podman-gvproxy >= 4.6.1-5.el9
  • podman-plugins >= 4.6.1-5.el9
  • podman-remote >= 4.6.1-5.el9
  • podman-tests >= 4.6.1-5.el9
  • runc >= 1.1.9-1.el9
  • skopeo >= 1.13.3-1.el9
  • skopeo-tests >= 1.13.3-1.el9
Patchnames:
RHSA-2023:6363
RHSA-2023:6380
RHSA-2023:6402
RHSA-2023:6473
RHSA-2023:6474
SUSE Linux Enterprise Desktop 15 SP4
SUSE Linux Enterprise Module for Development Tools 15 SP4
  • go1.18 >= 1.18.10-150000.1.46.1
  • go1.18-doc >= 1.18.10-150000.1.46.1
  • go1.18-openssl >= 1.18.10.1-150000.1.9.1
  • go1.18-openssl-doc >= 1.18.10.1-150000.1.9.1
  • go1.18-openssl-race >= 1.18.10.1-150000.1.9.1
  • go1.18-race >= 1.18.10-150000.1.46.1
  • go1.19 >= 1.19.7-150000.1.23.1
  • go1.19-doc >= 1.19.7-150000.1.23.1
  • go1.19-race >= 1.19.7-150000.1.23.1
  • go1.20 >= 1.20.2-150000.1.5.1
  • go1.20-doc >= 1.20.2-150000.1.5.1
  • go1.20-race >= 1.20.2-150000.1.5.1
Patchnames:
SUSE-SLE-Module-Development-Tools-15-SP4-2023-2312
SUSE-SLE-Module-Development-Tools-15-SP4-2023-733
SUSE-SLE-Module-Development-Tools-15-SP4-2023-735
SUSE-SLE-Module-Development-Tools-15-SP4-2023-869
SUSE Linux Enterprise Desktop 15 SP5
SUSE Linux Enterprise Module for Development Tools 15 SP5
  • go1.19 >= 1.19.7-150000.1.23.1
  • go1.19-doc >= 1.19.7-150000.1.23.1
  • go1.19-race >= 1.19.7-150000.1.23.1
  • go1.20 >= 1.20.2-150000.1.5.1
  • go1.20-doc >= 1.20.2-150000.1.5.1
  • go1.20-race >= 1.20.2-150000.1.5.1
Patchnames:
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA go1.19-1.19.9-150000.1.31.1
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA go1.20-1.20.4-150000.1.11.1
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS
  • container-suseconnect >= 2.4.0-150000.4.24.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP1-LTSS-2023-871
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS
  • container-suseconnect >= 2.4.0-150000.4.24.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP2-LTSS-2023-871
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS
  • container-suseconnect >= 2.4.0-150000.4.24.1
  • go1.18 >= 1.18.10-150000.1.46.1
  • go1.18-doc >= 1.18.10-150000.1.46.1
  • go1.18-openssl >= 1.18.10.1-150000.1.9.1
  • go1.18-openssl-doc >= 1.18.10.1-150000.1.9.1
  • go1.18-openssl-race >= 1.18.10.1-150000.1.9.1
  • go1.18-race >= 1.18.10-150000.1.46.1
  • go1.19 >= 1.19.7-150000.1.23.1
  • go1.19-doc >= 1.19.7-150000.1.23.1
  • go1.19-race >= 1.19.7-150000.1.23.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP3-ESPOS-2023-2312
SUSE-SLE-Product-HPC-15-SP3-ESPOS-2023-733
SUSE-SLE-Product-HPC-15-SP3-ESPOS-2023-869
SUSE-SLE-Product-HPC-15-SP3-ESPOS-2023-871
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS
  • container-suseconnect >= 2.4.0-150000.4.24.1
  • go1.18 >= 1.18.10-150000.1.46.1
  • go1.18-doc >= 1.18.10-150000.1.46.1
  • go1.18-openssl >= 1.18.10.1-150000.1.9.1
  • go1.18-openssl-doc >= 1.18.10.1-150000.1.9.1
  • go1.18-openssl-race >= 1.18.10.1-150000.1.9.1
  • go1.18-race >= 1.18.10-150000.1.46.1
  • go1.19 >= 1.19.7-150000.1.23.1
  • go1.19-doc >= 1.19.7-150000.1.23.1
  • go1.19-race >= 1.19.7-150000.1.23.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP3-LTSS-2023-2312
SUSE-SLE-Product-HPC-15-SP3-LTSS-2023-733
SUSE-SLE-Product-HPC-15-SP3-LTSS-2023-869
SUSE-SLE-Product-HPC-15-SP3-LTSS-2023-871
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • container-suseconnect >= 2.4.0-150000.4.24.1
  • go1.18 >= 1.18.10-150000.1.46.1
  • go1.18-doc >= 1.18.10-150000.1.46.1
  • go1.18-openssl >= 1.18.10.1-150000.1.9.1
  • go1.18-openssl-doc >= 1.18.10.1-150000.1.9.1
  • go1.18-openssl-race >= 1.18.10.1-150000.1.9.1
  • go1.18-race >= 1.18.10-150000.1.46.1
  • go1.19 >= 1.19.7-150000.1.23.1
  • go1.19-doc >= 1.19.7-150000.1.23.1
  • go1.19-race >= 1.19.7-150000.1.23.1
  • go1.20 >= 1.20.2-150000.1.5.1
  • go1.20-doc >= 1.20.2-150000.1.5.1
  • go1.20-race >= 1.20.2-150000.1.5.1
Patchnames:
SUSE-SLE-Module-Containers-15-SP4-2023-871
SUSE-SLE-Module-Development-Tools-15-SP4-2023-2312
SUSE-SLE-Module-Development-Tools-15-SP4-2023-733
SUSE-SLE-Module-Development-Tools-15-SP4-2023-735
SUSE-SLE-Module-Development-Tools-15-SP4-2023-869
SUSE Linux Enterprise High Performance Computing 15 SP5
SUSE Linux Enterprise Server 15 SP5
SUSE Linux Enterprise Server for SAP Applications 15 SP5
  • container-suseconnect >= 2.4.0-150000.4.24.1
  • go1.19 >= 1.19.7-150000.1.23.1
  • go1.19-doc >= 1.19.7-150000.1.23.1
  • go1.19-race >= 1.19.7-150000.1.23.1
  • go1.20 >= 1.20.2-150000.1.5.1
  • go1.20-doc >= 1.20.2-150000.1.5.1
  • go1.20-race >= 1.20.2-150000.1.5.1
Patchnames:
SUSE Linux Enterprise Module for Containers 15 SP5 GA container-suseconnect-2.4.0-150000.4.28.1
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA go1.19-1.19.9-150000.1.31.1
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA go1.20-1.20.4-150000.1.11.1
SUSE Linux Enterprise Module for Containers 15 SP4
  • container-suseconnect >= 2.4.0-150000.4.24.1
Patchnames:
SUSE-SLE-Module-Containers-15-SP4-2023-871
SUSE Linux Enterprise Module for Containers 15 SP5
  • container-suseconnect >= 2.4.0-150000.4.24.1
Patchnames:
SUSE Linux Enterprise Module for Containers 15 SP5 GA container-suseconnect-2.4.0-150000.4.28.1
SUSE Linux Enterprise Real Time 15 SP3
  • go1.18 >= 1.18.10-150000.1.46.1
  • go1.18-doc >= 1.18.10-150000.1.46.1
  • go1.18-openssl >= 1.18.10.1-150000.1.9.1
  • go1.18-openssl-doc >= 1.18.10.1-150000.1.9.1
  • go1.18-openssl-race >= 1.18.10.1-150000.1.9.1
  • go1.18-race >= 1.18.10-150000.1.46.1
  • go1.19 >= 1.19.7-150000.1.23.1
  • go1.19-doc >= 1.19.7-150000.1.23.1
  • go1.19-race >= 1.19.7-150000.1.23.1
Patchnames:
SUSE-SLE-Product-RT-15-SP3-2023-2312
SUSE-SLE-Product-RT-15-SP3-2023-733
SUSE-SLE-Product-RT-15-SP3-2023-869
SUSE Linux Enterprise Server 15 SP1-LTSS
  • container-suseconnect >= 2.4.0-150000.4.24.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP1-LTSS-2023-871
SUSE Linux Enterprise Server 15 SP2-LTSS
  • container-suseconnect >= 2.4.0-150000.4.24.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP2-LTSS-2023-871
SUSE Linux Enterprise Server 15 SP3-LTSS
  • container-suseconnect >= 2.4.0-150000.4.24.1
  • go1.18 >= 1.18.10-150000.1.46.1
  • go1.18-doc >= 1.18.10-150000.1.46.1
  • go1.18-openssl >= 1.18.10.1-150000.1.9.1
  • go1.18-openssl-doc >= 1.18.10.1-150000.1.9.1
  • go1.18-openssl-race >= 1.18.10.1-150000.1.9.1
  • go1.18-race >= 1.18.10-150000.1.46.1
  • go1.19 >= 1.19.7-150000.1.23.1
  • go1.19-doc >= 1.19.7-150000.1.23.1
  • go1.19-race >= 1.19.7-150000.1.23.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP3-LTSS-2023-2312
SUSE-SLE-Product-SLES-15-SP3-LTSS-2023-733
SUSE-SLE-Product-SLES-15-SP3-LTSS-2023-869
SUSE-SLE-Product-SLES-15-SP3-LTSS-2023-871
SUSE Linux Enterprise Server for SAP Applications 15 SP1
  • container-suseconnect >= 2.4.0-150000.4.24.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP1-2023-871
SUSE Linux Enterprise Server for SAP Applications 15 SP2
  • container-suseconnect >= 2.4.0-150000.4.24.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP2-2023-871
SUSE Linux Enterprise Server for SAP Applications 15 SP3
  • container-suseconnect >= 2.4.0-150000.4.24.1
  • go1.18 >= 1.18.10-150000.1.46.1
  • go1.18-doc >= 1.18.10-150000.1.46.1
  • go1.18-openssl >= 1.18.10.1-150000.1.9.1
  • go1.18-openssl-doc >= 1.18.10.1-150000.1.9.1
  • go1.18-openssl-race >= 1.18.10.1-150000.1.9.1
  • go1.18-race >= 1.18.10-150000.1.46.1
  • go1.19 >= 1.19.7-150000.1.23.1
  • go1.19-doc >= 1.19.7-150000.1.23.1
  • go1.19-race >= 1.19.7-150000.1.23.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP3-2023-2312
SUSE-SLE-Product-SLES_SAP-15-SP3-2023-733
SUSE-SLE-Product-SLES_SAP-15-SP3-2023-869
SUSE-SLE-Product-SLES_SAP-15-SP3-2023-871
openSUSE Leap 15.4
  • go1.18 >= 1.18.10-150000.1.46.1
  • go1.18-doc >= 1.18.10-150000.1.46.1
  • go1.18-openssl >= 1.18.10.1-150000.1.9.1
  • go1.18-openssl-doc >= 1.18.10.1-150000.1.9.1
  • go1.18-openssl-race >= 1.18.10.1-150000.1.9.1
  • go1.18-race >= 1.18.10-150000.1.46.1
  • go1.19 >= 1.19.7-150000.1.23.1
  • go1.19-doc >= 1.19.7-150000.1.23.1
  • go1.19-race >= 1.19.7-150000.1.23.1
  • go1.20 >= 1.20.2-150000.1.5.1
  • go1.20-doc >= 1.20.2-150000.1.5.1
  • go1.20-race >= 1.20.2-150000.1.5.1
Patchnames:
openSUSE-SLE-15.4-2023-2312
openSUSE-SLE-15.4-2023-733
openSUSE-SLE-15.4-2023-735
openSUSE-SLE-15.4-2023-869
openSUSE Leap 15.5
  • go1.18-openssl >= 1.18.10.1-150000.1.9.1
  • go1.18-openssl-doc >= 1.18.10.1-150000.1.9.1
  • go1.18-openssl-race >= 1.18.10.1-150000.1.9.1
Patchnames:
openSUSE-SLE-15.5-2023-2312
openSUSE Tumbleweed
  • go1.18 >= 1.18.10-1.1
  • go1.18-doc >= 1.18.10-1.1
  • go1.18-race >= 1.18.10-1.1
  • go1.19 >= 1.19.6-1.1
  • go1.19-doc >= 1.19.6-1.1
  • go1.19-race >= 1.19.6-1.1
  • go1.20 >= 1.20.1-1.1
  • go1.20-doc >= 1.20.1-1.1
  • go1.20-race >= 1.20.1-1.1
  • traefik >= 2.10.1-1.1
Patchnames:
openSUSE Tumbleweed GA go1.18-1.18.10-1.1
openSUSE Tumbleweed GA go1.19-1.19.6-1.1
openSUSE Tumbleweed GA go1.20-1.20.1-1.1
openSUSE Tumbleweed GA traefik-2.10.1-1.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7.1 container-suseconnect Released
SUSE Enterprise Storage 7.1 go1.18 Released
SUSE Enterprise Storage 7.1 go1.18-openssl Released
SUSE Enterprise Storage 7.1 go1.19 Released
SUSE Linux Enterprise Desktop 15 SP5 go1.19 Released
SUSE Linux Enterprise Desktop 15 SP5 go1.20 Released
SUSE Linux Enterprise High Performance Computing 15 SP5 container-suseconnect Released
SUSE Linux Enterprise High Performance Computing 15 SP5 go1.19 Released
SUSE Linux Enterprise High Performance Computing 15 SP5 go1.20 Released
SUSE Linux Enterprise Module for Containers 15 SP5 container-suseconnect Released
SUSE Linux Enterprise Module for Development Tools 15 SP5 go1.19 Released
SUSE Linux Enterprise Module for Development Tools 15 SP5 go1.20 Released
SUSE Linux Enterprise Real Time 15 SP3 go1.18 Released
SUSE Linux Enterprise Real Time 15 SP3 go1.18-openssl Released
SUSE Linux Enterprise Real Time 15 SP3 go1.19 Released
SUSE Linux Enterprise Real Time 15 SP3 go1.20 Affected
SUSE Linux Enterprise Server 12 SP5 go1.20 Affected
SUSE Linux Enterprise Server 15 SP5 container-suseconnect Released
SUSE Linux Enterprise Server 15 SP5 go1.19 Released
SUSE Linux Enterprise Server 15 SP5 go1.20 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 go1.20 Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 container-suseconnect Released
SUSE Linux Enterprise Server for SAP Applications 15 SP4 go1.18 Released
SUSE Linux Enterprise Server for SAP Applications 15 SP4 go1.18-openssl Released
SUSE Linux Enterprise Server for SAP Applications 15 SP4 go1.19 Released
SUSE Linux Enterprise Server for SAP Applications 15 SP4 go1.20 Released
SUSE Linux Enterprise Server for SAP Applications 15 SP5 container-suseconnect Released
SUSE Linux Enterprise Server for SAP Applications 15 SP5 go1.19 Released
SUSE Linux Enterprise Server for SAP Applications 15 SP5 go1.20 Released
SUSE Linux Enterprise Software Development Kit 12 SP5 go1.20 Affected
SUSE Manager Proxy 4.3 container-suseconnect Released
SUSE Manager Proxy 4.3 go1.18 Released
SUSE Manager Proxy 4.3 go1.18-openssl Released
SUSE Manager Proxy 4.3 go1.19 Released
SUSE Manager Proxy 4.3 go1.20 Released
SUSE Manager Retail Branch Server 4.3 container-suseconnect Released
SUSE Manager Retail Branch Server 4.3 go1.18 Released
SUSE Manager Retail Branch Server 4.3 go1.18-openssl Released
SUSE Manager Retail Branch Server 4.3 go1.19 Released
SUSE Manager Retail Branch Server 4.3 go1.20 Released
SUSE Manager Server 4.3 container-suseconnect Released
SUSE Manager Server 4.3 go1.18 Released
SUSE Manager Server 4.3 go1.18-openssl Released
SUSE Manager Server 4.3 go1.19 Released
SUSE Manager Server 4.3 go1.20 Released
openSUSE Leap 15.5 go1.18-openssl Released
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise Desktop 15 SP4 go1.18 Released
SUSE Linux Enterprise Desktop 15 SP4 go1.18-openssl Released
SUSE Linux Enterprise Desktop 15 SP4 go1.19 Released
SUSE Linux Enterprise Desktop 15 SP4 go1.20 Released
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS container-suseconnect Released
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS container-suseconnect Released
SUSE Linux Enterprise High Performance Computing 15 SP3 go1.18 Affected
SUSE Linux Enterprise High Performance Computing 15 SP3 go1.18-openssl Affected
SUSE Linux Enterprise High Performance Computing 15 SP3 go1.19 Affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS container-suseconnect Released
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS go1.18 Released
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS go1.18-openssl Released
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS go1.19 Released
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS container-suseconnect Released
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS go1.18 Released
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS go1.18-openssl Released
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS go1.19 Released
SUSE Linux Enterprise High Performance Computing 15 SP4 container-suseconnect Released
SUSE Linux Enterprise High Performance Computing 15 SP4 go1.18 Released
SUSE Linux Enterprise High Performance Computing 15 SP4 go1.18-openssl Released
SUSE Linux Enterprise High Performance Computing 15 SP4 go1.19 Released
SUSE Linux Enterprise High Performance Computing 15 SP4 go1.20 Released
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS go1.18 Affected
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS go1.18-openssl Affected
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS go1.19 Affected
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS go1.20 Affected
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS go1.18 Affected
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS go1.18-openssl Affected
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS go1.19 Affected
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS go1.20 Affected
SUSE Linux Enterprise Module for Containers 15 SP4 container-suseconnect Released
SUSE Linux Enterprise Module for Development Tools 15 SP3 go1.18 Affected
SUSE Linux Enterprise Module for Development Tools 15 SP3 go1.18-openssl Affected
SUSE Linux Enterprise Module for Development Tools 15 SP3 go1.19 Affected
SUSE Linux Enterprise Module for Development Tools 15 SP4 go1.18 Released
SUSE Linux Enterprise Module for Development Tools 15 SP4 go1.18-openssl Released
SUSE Linux Enterprise Module for Development Tools 15 SP4 go1.19 Released
SUSE Linux Enterprise Module for Development Tools 15 SP4 go1.20 Released
SUSE Linux Enterprise Server 15 SP2-LTSS container-suseconnect Released
SUSE Linux Enterprise Server 15 SP3 go1.18 Affected
SUSE Linux Enterprise Server 15 SP3 go1.18-openssl Affected
SUSE Linux Enterprise Server 15 SP3 go1.19 Affected
SUSE Linux Enterprise Server 15 SP3-LTSS container-suseconnect Released
SUSE Linux Enterprise Server 15 SP3-LTSS go1.18 Released
SUSE Linux Enterprise Server 15 SP3-LTSS go1.18-openssl Released
SUSE Linux Enterprise Server 15 SP3-LTSS go1.19 Released
SUSE Linux Enterprise Server 15 SP4 container-suseconnect Released
SUSE Linux Enterprise Server 15 SP4 go1.18 Released
SUSE Linux Enterprise Server 15 SP4 go1.18-openssl Released
SUSE Linux Enterprise Server 15 SP4 go1.19 Released
SUSE Linux Enterprise Server 15 SP4 go1.20 Released
SUSE Linux Enterprise Server 15 SP4-LTSS go1.18 Affected
SUSE Linux Enterprise Server 15 SP4-LTSS go1.18-openssl Affected
SUSE Linux Enterprise Server 15 SP4-LTSS go1.19 Affected
SUSE Linux Enterprise Server 15 SP4-LTSS go1.20 Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 container-suseconnect Released
SUSE Linux Enterprise Server for SAP Applications 15 SP2 container-suseconnect Released
SUSE Linux Enterprise Server for SAP Applications 15 SP3 container-suseconnect Released
SUSE Linux Enterprise Server for SAP Applications 15 SP3 go1.18 Released
SUSE Linux Enterprise Server for SAP Applications 15 SP3 go1.18-openssl Released
SUSE Linux Enterprise Server for SAP Applications 15 SP3 go1.19 Released
Products past their end of life and not receiving proactive updates anymore.
SUSE CaaS Platform 4.0 container-suseconnect Released
SUSE Enterprise Storage 7 container-suseconnect Released
SUSE Linux Enterprise Desktop 15 SP3 go1.18 Affected
SUSE Linux Enterprise Desktop 15 SP3 go1.18-openssl Affected
SUSE Linux Enterprise Desktop 15 SP3 go1.19 Affected
SUSE Linux Enterprise Real Time 15 SP4 go1.18 Affected
SUSE Linux Enterprise Real Time 15 SP4 go1.18-openssl Affected
SUSE Linux Enterprise Real Time 15 SP4 go1.19 Affected
SUSE Linux Enterprise Real Time 15 SP4 go1.20 Affected
SUSE Linux Enterprise Server 15 SP1-LTSS container-suseconnect Released
SUSE Linux Enterprise Server 15 SP3-BCL go1.18 Affected
SUSE Linux Enterprise Server 15 SP3-BCL go1.18-openssl Affected
SUSE Linux Enterprise Server 15 SP3-BCL go1.19 Affected
SUSE Manager Proxy 4.2 go1.18 Affected
SUSE Manager Proxy 4.2 go1.18-openssl Affected
SUSE Manager Proxy 4.2 go1.19 Affected
SUSE Manager Retail Branch Server 4.2 go1.18 Affected
SUSE Manager Retail Branch Server 4.2 go1.18-openssl Affected
SUSE Manager Retail Branch Server 4.2 go1.19 Affected
SUSE Manager Server 4.2 go1.18 Affected
SUSE Manager Server 4.2 go1.18-openssl Affected
SUSE Manager Server 4.2 go1.19 Affected
openSUSE Leap 15.4 go1.18 Released
openSUSE Leap 15.4 go1.18-openssl Released
openSUSE Leap 15.4 go1.19 Released
openSUSE Leap 15.4 go1.20 Released
Container Status
bci/golang:1.18 go1.18Released
bci/golang go1.18In progress
bci/golang:1.19 go1.19Released
bci/golang go1.20Released


SUSE Timeline for this CVE

CVE page created: Wed Feb 15 06:45:18 2023
CVE page last modified: Tue Feb 27 14:42:07 2024